API ReferenceSessions (prev Tool Router)
Delete a file from a session mountv3.0
Deletes a file from a workbench session storage mount. S3 delete is idempotent — deleting a non-existent file succeeds silently.
Authorization
ApiKeyAuth x-api-key<token>
Project API key authentication
In: header
Path Parameters
session_idstringRequired
The unique identifier of the tool router session
Format:
toolRouterSessionIdmount_idstringRequired
ID of the storage mount
Request Body
application/json
mount_relative_pathstringRequired
Relative file path within the mount
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/v3/tool_router/session/trs_1a2b3c4d5e6f/mounts/files/delete" \ -H "Content-Type: application/json" \ -d '{ "mount_relative_path": "report.pdf" }'{ "mount_relative_path": "string", "sandbox_mount_prefix": "string"}